Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

Error during npm install: InvalidPlatform #574

Closed
fresheneesz opened this Issue Sep 20, 2013 · 4 comments

Comments

Projects
None yet
2 participants

I'm on windows 8, I have Visual studio 2010 express installed, with node v0.10.18. The socket.io package installs fine.

I get the following message on npm install

C:\Program Files (x86)\MSBuild\Microsoft.Cpp\v4.0\Microsoft.Cpp.InvalidPlatform.Targets(23,7): error MSB8007: The Platf
orm for project 'bufferutil.vcxproj' is invalid.  Platform='x64'. You may be seeing this message because you are trying
 to build a project without a solution file, and have specified a non-default Platform that doesn't exist for this proj
ect. [C:\entefy\nodebackend\node_modules\socket.io-client\node_modules\ws\build\bufferutil.vcxproj]

So actually, on second look, the build actually ends up saying "success!" and i can indeed use the library. I have a horrible feeling at least a piece is broken, and it'll give me lots of trouble...

@rauchg rauchg closed this Nov 25, 2014

@guille Care to explain a little more about why this was closed? Was any attempt made to investigate this?

Contributor

rauchg commented Nov 25, 2014

This shouldn't be happening on 1.x :)

Got it, thanks!

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment